Cygport Reference Manual

### TABLE OF CONTENTS

- font.cygclass

- FONTSDIR
- sfd2ttf
- sfd2otf
- fontinto
- dofont
- dofontconf
- newfontconf

## font.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

DESCRIPTION

This cygclass provides functions for installing fonts so that they will be found by the X server (for Xaw/Motif applications) and fontconfig (used by most modern GUI toolkits).

EXAMPLE

        inherit gnome.org font

        NAME="cantarell-fonts"
        VERSION=0.0.12
        RELEASE=1
        CATEGORY="X11"
        SUMMARY="Cantarell TTF sans serif fonts"
        DESCRIPTION="The Cantarell typeface family was designed as a contemporary
        Humanist sans serif, and was developed for on-screen reading; in particular,
        reading web pages on a mobile phone."
        HOMEPAGE="https://gitlab.gnome.org/GNOME/cantarell-fonts/"

        src_compile() { :; }

        src_install() {
          cd ${S}
          fontinto cantarell
          dofont otf/*.otf

          dofontconf fontconfig/*.conf
        }

NOTE

Regardless of the usage of font.cygclass, cygport will compress all bitmap fonts (.pcf) and create the files required for fonts which are registered with the X server font catalogue.

## FONTSDIR

[ Top ] [ font.cygclass ] [ Definitions ]

DESCRIPTION

The top font directory, AKA the fontrootdir.

## sfd2ttf

[ Top ] [ font.cygclass ] [ Compile Functions ]

SYNOPSIS

      sfd2ttf SFD_FILE[S] ...

DESCRIPTION

Creates TrueType Font (TTF) files and a sample page in PDF format from FontForge Spline Font Database (SFD) sources.

## sfd2otf

[ Top ] [ font.cygclass ] [ Compile Functions ]

SYNOPSIS

      sfd2otf SFD_FILE[S] ...

DESCRIPTION

Creates OpenType Font (OTF) files and a sample page in PDF format from FontForge Spline Font Database (SFD) sources.

## fontinto

[ Top ] [ font.cygclass ] [ Install Functions ]

SYNOPSIS

      fontinto SUBDIR

DESCRIPTION

Tells dofont which font directory to install into. Accepts a single argument, the name of the font subdirectory.

## dofont

[ Top ] [ font.cygclass ] [ Install Functions ]

SYNOPSIS

      dofont FONTFILE [FONTFILE] ...

DESCRIPTION

Installs the given font file(s) into the font subdirectory based on NAME, or that specified by the most recent call to fontinto.

## dofontconf

[ Top ] [ font.cygclass ] [ Install Functions ]

SYNOPSIS

      dofontconf CONFFILE [CONFFILE] ...

DESCRIPTION

Installs the given font configuration file(s) into the system fontconfig configuration directories. If file is not named [0-9][0-9]*.conf, then use newfontconf instead to rename it.

## newfontconf

[ Top ] [ font.cygclass ] [ Install Functions ]

SYNOPSIS

      newfontconf CONFFILE DESIRED_NAME

DESCRIPTION

Installs the given font configuration file into the system fontconfig configuration directories as the given DESIRED_NAME, which must be of the form [0-9][0-9]*.conf:

- 00 through 09: Font directories
- 10 through 19: system rendering defaults (AA, etc)
- 20 through 29: font rendering options
- 30 through 39: family substitution
- 40 through 49: generic identification, map family->generic
- 50 through 59: alternate config file loading
- 60 through 69: generic aliases, map generic->family
- 70 through 79: select font (adjust which fonts are available)
- 80 through 89: match target="scan" (modify scanned patterns)
- 90 through 99: font synthesis